Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: Sean Whitton <[email-masked]>
Date: Mon, 31 Aug 2020 09:37:08 -0700

Hello João,

On Mon 31 Aug 2020 at 12:50AM +01, João Távora wrote:

> Sean Whitton <[email-masked]> writes:
>
>> For example:
>>
>> 1. emacs -q
>> 2. M-x fido-mode RET
>> 3. C-x b foo M-j (type slowly)
>> 4. C-x b bar M-j (type slowly)
>> 5. C-x b M-j (type quickly)
>
> This sounds like a bug, indeed.  I dealt with this kind of problem in
> the past and worked hard to mitigate it.  I was unware of this recent
> patch to icomplete/fido-mode, sorry.
>
> I will note that the problem doesn't seem to happen if step 5 ends with
> RET instead of M-j.  M-j in the fido-mode minibuffer is bound to
> icomplete-fido-exit which does have have an optional FORCE arg, which
> could maybe justify the behaviour you're observing.  But anyway it's nil
> by default, so it doesn't.

Right.  I actually have icomplete-fido-exit bound to RET because that
means that RET in any minibuffer always exits with the current input,
which I find makes completion less obstrusive.  But this bug is breaking
that atm.

-- 
Sean Whitton